<?php
App::uses('PaginatorHelper', 'View/Helper');

class EvFrontendCorePaginatorHelper extends PaginatorHelper {
	/*public function __construct() {
		die("EvFrontendCorePaginatorHelper IS ALIVE");
	}*/


	/********************
	 *                  *
	 *    PAGINATION    *
	 *                  *
	 ********************/

	/**
	 * Force pagination to always have a prev and next button
	 */
	public function hasPrev($model = null) { return true; }
	public function hasNext($model = null) { return true; }

	/**
	 *  Configure the params to test pagination
	 */
	public function params($model = null) {
		$params = [
			"page"  => 1,
			"current"  => 2,
			"count"  => 4,
			"prevPage"  => false,
			"nextPage"  => true,
			"pageCount"  => 6,
			"order"  => "VariantData.price ASC",
			"limit"  => 4,
			"options"  => [],
			"paramType"  => "named"
		];
		return $params;
	}

}
